<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') -%>

    <link rel="stylesheet" href="/stylesheets/login-register.css">
    <link rel="stylesheet" href="/stylesheets/dashboard.css">
</head>

<body>
    <div class="setting">
        <!-- profile pic and username -->
        <div class="profile-username-setting">
            <form action="/profileUpdate/uploadAvatar" method="POST" enctype="multipart/form-data">
                <div class="avatar-wrapper">
                    <img class="profile-pic image-cropper" src=<%- avatar %> />
                    <div class="upload-button">
                        <i class="fas fa-cloud-upload-alt"></i>
                    </div>
                    <input name="avatar" class="file-upload" type="file" />
                </div>
            </form>
            <h4 class="text-center">
                <span><%- firstName %></span>
                <span><%- lastName %></span>
            </h4>
            <hr>
        </div>

        <!-- Setting -->
        <div class="setting-dashboard">
            <ul>
                <li><a href="#">صفحه اصلی سایت</a></li>
                <li><a href="http://localhost:1717/articles/">مشاهده مقالات</a></li>
                <li><a href="http://localhost:1717/profileUpdate/">ویرایش حساب کاربری</a></li>
                <li><a href="dashboard/logout">خروج</a></li>
            </ul>
        </div>

        <p class="copy-right">Copyright © 2020 Amin Alizadeh, All Rights Reserved</p>
    </div>

    <!-- Show article -->

    <div class="articles-container">
        <div class="card mb-3">
            <img class="card-img-top " src=<%= article.image %> alt="Card image cap">

            <div class="card-body">
                <h4 class="card-title" style="color: black;">
                    <%= article.title %>
                </h4>
                <div class="card-subtitle text-muted mb-2">
                    <%= article.createdAt.toLocaleDateString('fa-IR') %>
                </div>
                <div class="card-text mb-2" style="color: black; text-align: justify; text-justify: inter-word;">
                    <%- article.text %>
                </div>
                <div class="action-btns" style="margin-top: 30px">
                    <a href="/articles/edit/<%= article.id %> " class="btn btn-secondary">ویرایش مقاله</a>
                    <a href="/articles/remove/<%= article.id %> " class="btn btn-danger">حذف مقاله</a>
                </div>

            </div>
        </div>

    </div>

    <!-- Show article end -->

    <!-- Bootstrap and Fontawsome scripts -->
    <%- include('./partials/essentialScripts.ejs') %>

    <!-- TinyMCE scripts -->
    <script src="https://cdn.tiny.cloud/1/yosihghcghrnfec5dwlf3m4o78t7b5zbe13afu7t1fr5xw1v/tinymce/5/tinymce.min.js"
        referrerpolicy="origin"></script>
    <script src="/javascripts/articles.js"></script>

    <!-- My script src -->
    <script src="/javascripts/newArticle.js"></script>
</body>

</html>